Name:		ibus-libpinyin
Summary:	Intelligent Pinyin engine based on libpinyin for IBus
Version:	1.15.94
Release:	%mkrel 2
Group:		System/Internationalization
License:	GPLv2+
URL:		https://github.com/libpinyin/ibus-libpinyin
Source0:	https://github.com/libpinyin/ibus-libpinyin/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.4.0
BuildRequires:	pkgconfig(libpinyin) >= 1.6.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(opencc)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	sqlite3-tools
BuildRequires:	pkgconfig(python3)
BuildRequires:	intltool
BuildRequires:	gnome-common

Requires:	ibus >= 1.4.0
Requires:	python3dist(pygobject)

%description
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo)
input method based on libpinyin for IBus.

%prep
%setup -q

%build
%configure --enable-opencc --with-python=python3
%make_build

%install
%make_install

%find_lang %name

%files -f %name.lang
%doc ChangeLog README
%{_libexecdir}/ibus-engine-libpinyin
%{_libexecdir}/ibus-setup-libpinyin
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/
%{_datadir}/ibus/component/libpinyin.xml
%{_datadir}/ibus-libpinyin/
%{_metainfodir}/libpinyin.appdata.xml
%{_datadir}/glib-2.0/schemas/com.github.libpinyin.ibus-libpinyin.gschema.xml


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.15.94-2.mga10
+ Revision: 2235055
- Mageia 10 Mass Rebuild

* Thu Jan 30 2025 daviddavid <daviddavid> 1.15.94-1.mga10
+ Revision: 2143492
- new version: 1.15.94

* Mon Dec 30 2024 daviddavid <daviddavid> 1.15.92-1.mga10
+ Revision: 2131564
- new version: 1.15.92

* Sun Oct 20 2024 daviddavid <daviddavid> 1.15.8-1.mga10
+ Revision: 2108908
- new version: 1.15.8

* Sun Nov 20 2022 joequant <joequant> 1.14.91-1.mga9
+ Revision: 1909131
- update to 1.14.91

* Wed Mar 30 2022 umeabot <umeabot> 1.12.0-2.mga9
+ Revision: 1835480
- Mageia 9 Mass Rebuild

* Tue Mar 02 2021 daviddavid <daviddavid> 1.12.0-1.mga9
+ Revision: 1696198
- new version: 1.12.0

* Sun Feb 16 2020 umeabot <umeabot> 1.11.1-2.mga8
+ Revision: 1535463
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 11 2019 daviddavid <daviddavid> 1.11.1-1.mga8
+ Revision: 1451735
- new version: 1.11.1
- port to python 3

* Sun Mar 17 2019 daviddavid <daviddavid> 1.11.0-1.mga7
+ Revision: 1378259
- new version: 1.11.0

* Fri Dec 21 2018 yochenhsieh <yochenhsieh> 1.10.92-1.mga7
+ Revision: 1344273
- New version 1.10.92

* Sun Sep 23 2018 umeabot <umeabot> 1.9.91-2.mga7
+ Revision: 1298256
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 1.9.91-1.mga7
+ Revision: 1216293
- Update to version 1.9.91
- Update to version 1.9.3
- Fixed Source0 URL

* Thu May 18 2017 yochenhsieh <yochenhsieh> 1.9.0-1.mga6
+ Revision: 1103023
- New version 1.9.0

* Wed Jan 04 2017 yochenhsieh <yochenhsieh> 1.8.1-1.mga6
+ Revision: 1080039
- New version 1.8.1

* Fri Mar 04 2016 fwang <fwang> 1.7.4-1.mga6
+ Revision: 985414
- 1.7.4

* Mon Feb 15 2016 umeabot <umeabot> 1.7.2-2.mga6
+ Revision: 960648
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 fwang <fwang> 1.7.2-1.mga6
+ Revision: 869599
- update file list
- 1.7.2

* Sat Jul 04 2015 fwang <fwang> 1.7.1-2.mga6
+ Revision: 849885
- add requires on python-gi

* Sat Jul 04 2015 fwang <fwang> 1.7.1-1.mga6
+ Revision: 849880
- disable lua ext for now
- fix requires
- 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.6.92-3.mga5
+ Revision: 750927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.92-2.mga5
+ Revision: 680416
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed Feb 05 2014 fwang <fwang> 1.6.92-1.mga5
+ Revision: 583134
- new version 1.6.92

* Sat Oct 19 2013 umeabot <umeabot> 1.6.91-2.mga4
+ Revision: 526752
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 fwang <fwang> 1.6.91-1.mga4
+ Revision: 438786
- new version 1.6.91

* Sat Jan 12 2013 umeabot <umeabot> 1.4.93-2.mga3
+ Revision: 354067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 fwang <fwang> 1.4.93-1.mga3
+ Revision: 321172
- update file list
- br uuid
- imported package ibus-libpinyin

